#
# spec file for package perl-Test-Time
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Time
Version:        0.05
Release:        lp150.1.3
%define cpan_name Test-Time
Summary:        Overrides the time() and sleep() core functions for testing
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Time/
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SATOH/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Test::Time can be used to test modules that deal with time. Once you 'use'
this module, all references to 'time' and 'sleep' will be internalized. You
can set custom time by passing time => number after the 'use' statement:

    use Test::Time time => 1;

    my $now = time;    # $now is equal to 1
    sleep 300;         # returns immediately, displaying a note
    my $then = time;   # $then equals to 301

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes minil.toml README README.md
%license LICENSE

%changelog
* Sat Aug  5 2017 coolo@suse.com
- updated to 0.05
  see /usr/share/doc/packages/perl-Test-Time/Changes
  0.05 2017-08-04T13:53:20Z
  Fix prereq (by haarg)
* Wed Jul 30 2014 ncutler@suse.com
- initial package 0.04
  * created by cpanspec 1.78.08
- bring into devel:languages:perl
- check license
- take maintainership
